## qcelemental 0.17.0+dfsg

=== Makefile ===
.DEFAULT_GOAL := all
isort = isort -rc qcelemental
black = black qcelemental
autoflake = autoflake -ir --remove-all-unused-imports --ignore-init-module-imports --remove-unused-variables qcelemental

.PHONY: install
install:
	pip install -e .

.PHONY: format
format:
#	$(autoflake)
	$(isort)
	$(black)

.PHONY: lint
lint:
	$(isort) --check-only
	$(black) --check

.PHONY: check-dist
check-dist:
	python setup.py check -ms
	python setup.py sdist
	twine check dist/*

.PHONY: mypy
mypy:
	mypy qcelemental

.PHONY: test
test:
	pytest -v --cov=qcelemental/

.PHONY: data
data: cpu_data
	#(cd devtools/scripts; python build_periodic_table.py; mv nist_*_atomic_weights.py ../../qcelemental/data/)
	#(cd devtools/scripts; python build_physical_constants_2014.py; mv nist_*_codata.py ../../qcelemental/data/)
	(cd raw_data/dft_data; python build_dft_info.py; mv dft_data_blob.py ../../qcelemental/info/data/)
	(cd devtools/scripts; python build_physical_constants_2018.py; mv nist_*_codata.py ../../qcelemental/data/)

.PHONY: cpu_data
cpu_data:
	(cd raw_data/cpu_data; python build_cpu_data.py; mv cpu_data_blob.py ../../qcelemental/info/data/)

.PHONY: clean
clean:
	rm -rf `find . -name __pycache__`
	rm -f `find . -type f -name '*.py[co]' `
	rm -f `find . -type f -name '*~' `
	rm -f `find . -type f -name '.*~' `
	rm -rf .cache
	rm -rf .pytest_cache
	rm -rf .mypy_cache
	rm -rf htmlcov
	rm -rf *.egg-info
	rm -f .coverage
	rm -f .coverage.*
	rm -rf build
	rm -rf dist
	rm -f qcelemental/*.c qcelemental/*.so
	python setup.py clean

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = qcelemental
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## qcelemental 0.5.0%2Bdfsg

=== debian/control ===
Source: qcelemental
Section: python
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               python3-all (>= 3.6),
               python3-setuptools,
               python3-numpy,
               python3-pint,
               python3-pydantic,
               python3-pytest,
               python3-pytest-cov
Standards-Version: 4.1.3
Homepage: https://github.com/MolSSI/QCElemental
Vcs-Browser: https://salsa.debian.org/debichem-team/qcelemental
Vcs-Git: https://salsa.debian.org/debichem-team/pqcelemental.git

Package: python3-qcelemental
Section: python
Architecture: all
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: Periodic table, physical constants, and molecule parsing for quantum chemistry
 QCElemental is a resource module for quantum chemistry containing physical
 constants and periodic table data from NIST CODATA and molecule handlers.

## qcelemental 0.5.0+dfsg

=== debian/changelog ===
qcelemental (0.5.0+dfsg-2) unstable; urgency=medium

  * Reupload for testing migration.

 -- Michael Banck <mbanck@debian.org>  Mon, 06 Jan 2020 16:43:39 +0100

qcelemental (0.5.0+dfsg-1) unstable; urgency=medium

  * Initial upload.

 -- Michael Banck <mbanck@debian.org>  Sun, 03 Nov 2019 22:20:25 +0100

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_auto_test:
	-dh_auto_test

## qcelemental 0.17.0%2Bdfsg

=== debian/changelog ===
qcelemental (0.17.0+dfsg-3) unstable; urgency=medium

  * debian/patches/skip_web_using_tests.patch: New patch, forces skiping
    web-using tests (Closes: #980703, #979983).

 -- Michael Banck <mbanck@debian.org>  Sat, 30 Jan 2021 20:21:05 +0100

qcelemental (0.17.0+dfsg-2) unstable; urgency=medium

  * debian/control (Build-Depends): Readd python3-numpy which got accidently
    dropped in the last upload.

 -- Michael Banck <mbanck@debian.org>  Sun, 10 Jan 2021 13:01:27 +0100

qcelemental (0.17.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/tests/control: New file, add autopkgtests.
  * debian/control (Build-Depends): Added python3-certifi.
  * debian/rules (override_dh_auto_test): Abort build when tests fail.

 -- Michael Banck <mbanck@debian.org>  Sun, 10 Jan 2021 12:29:55 +0100

qcelemental (0.16.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/control (Vcs-Git): Fix typo in URL.
  * debian/upstream/metadata: Removed (wrong copy-pasted content belonging to
    another package).
  * debian/copyright (Files-Excluded): Updated.

 -- Michael Banck <mbanck@debian.org>  Sun, 30 Aug 2020 14:47:29 +0200

## qcelemental 0.17.0+dfsg

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_test

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/qcelemental-$1\.tar\.gz/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack \
  https://github.com/MolSSI/QCElemental/tags .*/v?(\d\S*)\.tar\.gz

## qcelemental 0.24.0+dfsg

=== debian/changelog ===
qcelemental (0.24.0+dfsg-2) unstable; urgency=medium

  [ Chris Lamb ]
  * debian/rules (override_dh_auto_test): Remove test suite output JSON files
    which make the package build unreproducible (Closes: #1003385).

 -- Michael Banck <mbanck@debian.org>  Sun, 09 Jan 2022 10:42:12 +0100

qcelemental (0.24.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Banck <mbanck@debian.org>  Sat, 01 Jan 2022 19:13:02 +0100

qcelemental (0.23.0+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #995851).
  * debian/patches/skip_web_using_tests.patch: Refreshed.

 -- Michael Banck <mbanck@debian.org>  Sun, 10 Oct 2021 14:48:48 +0200

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,17 @@
 Build-Depends: debhelper (>= 10),
                dh-python,
                python3-all (>= 3.6),
-               python3-setuptools,
+               python3-certifi,
                python3-numpy,
                python3-pint,
                python3-pydantic,
                python3-pytest,
-               python3-pytest-cov
+               python3-pytest-cov,
+               python3-setuptools
 Standards-Version: 4.1.3
 Homepage: https://github.com/MolSSI/QCElemental
 Vcs-Browser: https://salsa.debian.org/debichem-team/qcelemental
-Vcs-Git: https://salsa.debian.org/debichem-team/pqcelemental.git
+Vcs-Git: https://salsa.debian.org/debichem-team/qcelemental.git
 
 Package: python3-qcelemental
 Section: python

## qcelemental 0.25.1%2Bdfsg

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 .DEFAULT_GOAL := all
-isort = isort -rc qcelemental
+isort = isort --float-to-top qcelemental
 black = black qcelemental
 autoflake = autoflake -ir --remove-all-unused-imports --ignore-init-module-imports --remove-unused-variables qcelemental
 
@@ -43,6 +43,12 @@
 cpu_data:
 	(cd raw_data/cpu_data; python build_cpu_data.py; mv cpu_data_blob.py ../../qcelemental/info/data/)
 
+.PHONY: qcschema
+qcschema:
+	mkdir -p qcschema
+	python -c "exec(\"import pathlib, qcelemental\nfor md in qcelemental.models.qcschema_models():\n\tmfile = (pathlib.Path('qcschema') / md.__name__).with_suffix('.schema')\n\twith open(mfile, 'w') as fp:\n\t\tfp.write(md.schema_json(indent=None))\")"
+	python -c "exec(\"import json, pathlib, pydantic, qcelemental\nwith open((pathlib.Path('qcschema') / 'QCSchema').with_suffix('.schema'), 'w') as fp:\n\tjson.dump(pydantic.schema.schema(qcelemental.models.qcschema_models(), title='QCSchema'), fp, indent=4)\")"
+
 .PHONY: clean
 clean:
 	rm -rf `find . -name __pycache__`

=== docs/Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 #
 
 # You can set these variables from the command line.
+#SPHINXOPTS    = -n -W --keep-going
 SPHINXOPTS    =
 SPHINXBUILD   = sphinx-build
 SPHINXPROJ    = qcelemental

=== debian/changelog ===
qcelemental (0.25.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Banck <mbanck@debian.org>  Sat, 14 Jan 2023 11:22:25 +0100

## qcelemental 0.25.1+dfsg

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,4 @@
 
 override_dh_auto_test:
 	dh_auto_test
+	find .pybuild -type f -name 'test_*.json' -delete

## qcelemental 0.27.1+dfsg

=== debian/changelog ===
qcelemental (0.27.1+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #1058119).
  * debian/control (Build-Depends): Added pybuild-plugin-pyproject and
    python3-poetry. 

 -- Michael Banck <mbanck@debian.org>  Fri, 29 Dec 2023 19:57:38 +0100

=== debian/tests/control ===
Test-Command: pytest-3
Depends: @, @builddeps@,
 python3-pytest
Restrictions: allow-stderr

## qcelemental 0.29.0

=== debian/changelog ===
qcelemental (0.29.0-2) unstable; urgency=medium

  * debian/control (python3-qcelemental/Depends): Added python3-pint.  

 -- Michael Banck <mbanck@debian.org>  Sun, 16 Mar 2025 23:04:03 +0100

qcelemental (0.29.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright (Files-Excluded): Removed, no longer needed. 

 -- Michael Banck <mbanck@debian.org>  Thu, 16 Jan 2025 08:51:35 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,12 @@
 Uploaders: Michael Banck <mbanck@debian.org>
 Build-Depends: debhelper (>= 10),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all (>= 3.6),
                python3-certifi,
                python3-numpy,
                python3-pint,
+               python3-poetry,
                python3-pydantic,
                python3-pytest,
                python3-pytest-cov,
@@ -23,7 +25,8 @@
 Architecture: all
 Depends: ${python3:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         python3-pint
 Description: Periodic table, physical constants, and molecule parsing for quantum chemistry
  QCElemental is a resource module for quantum chemistry containing physical
  constants and periodic table data from NIST CODATA and molecule handlers.
